'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var umiCore = require('@metaplex-foundation/umi-core');

class HttpDownloader {
  constructor(context) {
    this.context = context;
  }
  async downloadOne(uri, options = {}) {
    const response = await this.context.http.send(umiCore.request().get(uri).withAbortSignal(options.signal));
    return umiCore.createGenericFile(response.body, uri);
  }
  async download(uris, options = {}) {
    return Promise.all(uris.map(uri => this.downloadOne(uri, options)));
  }
  async downloadJson(uri, options = {}) {
    const response = await this.context.http.send(umiCore.request().get(uri).asJson().withAbortSignal(options.signal));
    return response.data;
  }
}

exports.HttpDownloader = HttpDownloader;
//# sourceMappingURL=HttpDownloader.cjs.map
